java.applet

## Interface AudioClip

    public interface AudioClip

The `AudioClip` interface is a simple abstraction for playing a sound clip. Multiple `AudioClip` items can be playing at the same time, and the resulting sound is mixed together to produce a composite.

Since:
  JDK1.0

### Method Summary

Methods
`void` `loop()` Starts playing this audio clip in a loop.
`void` `play()` Starts playing this audio clip.
`void` `stop()` Stops playing this audio clip.

### Method Detail

#### play

    void play()

Starts playing this audio clip. Each time this method is called, the clip is restarted from the beginning.

#### loop

    void loop()

Starts playing this audio clip in a loop.

#### stop

    void stop()

Stops playing this audio clip.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.